REMAP(1e)

NAME
remap - Display restriction enzyme binding sites in a nucleotide sequence

SYNOPSIS

remap -sequence seqall -mfile datafile -enzymes string -sitelen integer [-mincuts integer] [-maxcuts integer] [-single boolean] [-blunt boolean] [-sticky boolean] [-ambiguity boolean] [-plasmid boolean] [-methylation boolean] [-commercial boolean] [-table list] [-frame list] -outfile outfile [-cutlist boolean] [-flatreformat boolean] [-limit boolean] -translation boolean -reverse boolean -orfminsize integer -uppercase range -highlight range -threeletter boolean -number boolean -width integer -length integer -margin integer -name boolean -description boolean -offset integer -html boolean

remap -help

DESCRIPTION

remap is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Display,Nucleic:Restriction,Nucleic:Translation" command group(s).

OPTIONS

  Input section

-sequence seqall

-mfile datafile
    Default value: Emethylsites.dat

  Required section

-enzymes string
    The name 'all' reads in all enzyme names from the REBASE database. You can specify enzymes by giving their names with commas between then, such as: 'HincII,hinfI,ppiI,hindiii'. The case of the names is not important. You can specify a file of enzyme names to read in by giving the name of the file holding the enzyme names with a '@' character in front of it, for example, '@enz.list'. Blank lines and lines starting with a hash character or '!' are ignored and all other lines are concatenated together with a comma character ',' and then treated as the list of enzymes to search for. An example of a file of enzyme names is: ! my enzymes HincII, ppiII ! other enzymes hindiii HinfI PpiI Default value: all

-sitelen integer
    This sets the minimum length of the restriction enzyme recognition site. Any enzymes with sites shorter than this will be ignored. Default value: 4

  Additional section

-mincuts integer
    This sets the minimum number of cuts for any restriction enzyme that will be considered. Any enzymes that cut fewer times than this will be ignored. Default value: 1

-maxcuts integer
    This sets the maximum number of cuts for any restriction enzyme that will be considered. Any enzymes that cut more times than this will be ignored. Default value: 2000000000

-single boolean
    If this is set then this forces the values of the mincuts and maxcuts qualifiers to both be 1. Any other value you may have set them to will be ignored. Default value: N

-blunt boolean
    This allows those enzymes which cut at the same position on the forward and reverse strands to be considered. Default value: Y

-sticky boolean
    This allows those enzymes which cut at different positions on the forward and reverse strands, leaving an overhang, to be considered. Default value: Y

-ambiguity boolean
    This allows those enzymes which have one or more 'N' ambiguity codes in their pattern to be considered Default value: Y

-plasmid boolean
    If this is set then this allows searches for restriction enzyme recognition site and cut positions that span the end of the sequence to be considered. Default value: N

-methylation boolean
    If this is set then RE recognition sites will not match methylated bases. Default value: N

-commercial boolean
    If this is set, then only those enzymes with a commercial supplier will be searched for. This qualifier is ignored if you have specified an explicit list of enzymes to search for, rather than searching through 'all' the enzymes in the REBASE database. It is assumed that, if you are asking for an explicit enzyme, then you probably know where to get it from and so all enzymes names that you have asked to be searched for, and which cut, will be reported whether or not they have a commercial supplier. Default value: Y

-table list

-frame list
    This allows you to specify the frames that are translated. If you are not displaying cut sites on the reverse sense, then the reverse sense translations will not be displayed even if you have requested frames 4, 5 or 6. By default, all six frames will be displayed. Default value: 6

  Output section

-outfile outfile

-cutlist boolean
    This produces lists in the output of the enzymes that cut, those that cut but are excluded because that cut fewer times than mincut or more times than maxcut and those enzymes that do not cut. Default value: Y

-flatreformat boolean
    This changes the output format to one where the recognition site is indicated by a row of '===' characters and the cut site is pointed to by a '>' character in the forward sense, or a '<' in the reverse sense strand. Default value: N

-limit boolean
    This limits the reporting of enzymes to just one enzyme from each group of isoschizomers. The enzyme chosen to represent an isoschizomer group is the prototype indicated in the data file 'embossre.equ', which is created by the program 'rebaseextract'. If you prefer different prototypes to be used, make a copy of embossre.equ in your home directory and edit it. If this value is set to be false then all of the input enzymes will be reported. You might like to set this to false if you are supplying an explicit set of enzymes rather than searching 'all' of them. Default value: Y

-translation boolean
    This displays the 6-frame translations of the sequence in the output. Default value: Y

-reverse boolean
    This displays the cut sites and translation of the reverse sense. Default value: Y

-orfminsize integer
    This sets the minimum size of Open Reading Frames (ORFs) to display in the translations. All other translation regions are masked by changing the amino acids to '-' characters.

-uppercase range
    Regions to put in uppercase. If this is left blank, then the sequence case is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are separated by any non-digit, non-alpha character. Examples of region specifications are: 24-45, 56-78 1:45, 67=99;765..888 1,5,8,10,23,45,57,99

-highlight range
    Regions to colour if formatting for HTML. If this is left blank, then the sequence is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are followed by any valid HTML font colour. Examples of region specifications are: 24-45 blue 56-78 orange 1-100 green 120-156 red A file of ranges to colour (one range per line) can be specified as '@filename'.

-threeletter boolean
    Default value: N

-number boolean
    Default value: N

-width integer
    Default value: 60

-length integer

-margin integer
    Default value: 10

-name boolean
    Set this to be false if you do not wish to display the ID name of the sequence Default value: Y

-description boolean
    Set this to be false if you do not wish to display the description of the sequence Default value: Y

-offset integer
    Default value: 1

-html boolean
    Default value: N

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

remap is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.